package com.qmth.themis.business.bean.exam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("试卷下载返回信息")
public class ExamPaperDownloadBean implements Serializable {

    @ApiModelProperty("试卷数据包下载地址")
    private String paperUrl;

    @ApiModelProperty("试卷数据包MD5内容")
    private String paperMd5;

    @ApiModelProperty("试卷结构下载地址")
    private String structUrl;

    @ApiModelProperty("试卷结构文件MD5内容")
    private String structMd5;

    public ExamPaperDownloadBean() {

    }

    public ExamPaperDownloadBean(String paperUrl, String paperMd5, String structUrl, String structMd5) {
        this.paperUrl = paperUrl;
        this.paperMd5 = paperMd5;
        this.structUrl = structUrl;
        this.structMd5 = structMd5;
    }

    public String getPaperUrl() {
        return paperUrl;
    }

    public void setPaperUrl(String paperUrl) {
        this.paperUrl = paperUrl;
    }

    public String getPaperMd5() {
        return paperMd5;
    }

    public void setPaperMd5(String paperMd5) {
        this.paperMd5 = paperMd5;
    }

    public String getStructUrl() {
        return structUrl;
    }

    public void setStructUrl(String structUrl) {
        this.structUrl = structUrl;
    }

    public String getStructMd5() {
        return structMd5;
    }

    public void setStructMd5(String structMd5) {
        this.structMd5 = structMd5;
    }
}
